/*Source code from Laure Gonnord*/
#include <stdio.h>
#include <stdlib.h>

int main(int argc, char** argv){

  printf("nombre d'arguments = %d\n", argc-1);

  // argv[0] est une chaîne de caractères.
  printf("le nom du binaire est %s\n", argv[0]);
  
  // chaque argv[i] (pour i de 1 à argc -1) est une chaîne
  for (int i=1; i< argc; i++){
    printf("argument numero %d est %s\n", i,  argv[i]);
  }

  if (argc < 2) { // attention !
    // utiliser stderror pour les impressions. 
    fprintf(stderr, "usage, I need at least one argument!\n");
    // utiliser exit pour les sorties "non normales".
    exit(EXIT_FAILURE);
  }
  else {
    printf("argument 1 as a string = %s\n", argv[1]);
    // il y a des façons de convertir une chaîne en int qui sont plus sûres que celle que je donne dessous:
    int res = atoi(argv[1]);
    printf("argument 1 as an int = %d\n", res+23);
  }

  return EXIT_SUCCESS;
}
