/*Source code from Laure Gonnord and Sébastien Michelland*/
/*CS 101@Esisar, 2022*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/* Exemple de manipulation de fichier -
 myfile est supposé être le nom d'un fichier texte dans le répertoire courant
 contenant des entiers stockés: "1 entier par ligne".*/
/* Ce programme lit et réimprime les données entières du fichier */

int main(){

  // tableau statique toujours
  char filename[]="myfile"; // le nom du fichier
  int number;// une variable pour stocker les nombres entiers lus.

  // Maintenant on va lire le contenu du fichier, si il existe.
  // tentative d'ouverture en lecture
  FILE* f = fopen(filename, "r"); // d'autres options de lecture dans le manuel de fopen
  if (f==NULL){
    fprintf(stderr, "open error\n"); // impression de message sur la sortie d'erreur
    exit(EXIT_FAILURE); // macro pour le code d'erreur 
  } else {
    // Comme la fonction fopen a renvoyé un pointeur non nul, on sait que
    // le fichier a bien été ouvert
    printf("Successfully open!\n");
    while(!feof(f)){ // tant que l'on n'a pas la fin de fichier !!!
      // fscanf s'utilise comme scanf
      fscanf(f, "%d ", &number); // entier, suivi d'un certain nombre d'espaces
      printf("I've read number = %d\n", number);      
    }
  }
  return EXIT_SUCCESS; // Pareil que return 0; 
}
