/*Source code from Laure Gonnord and Sébastien Michelland*/
/*CS 101@Esisar, 2022*/

/*entrées/sorties en C (à partir du terminal)*/

#include <stdio.h>
#include <stdlib.h>

int main(){

  // Exemples printf et scanf simples
  
  printf("voici une chaîne formattée %d %s\n", 32, "hello");

  int x;
  printf("Donne moi un entier stp?");
  scanf("%d",&x);

  // Maintenant c'est un peu plus complexe (avec des chaînes)
  
  char line[12]={0}; // déclaration-initialisation tableau statique
  printf("Donne moi des caractères stp?");
  scanf("%11s", line); // line est déjà un tableau (donc modifiable)
  // remarquer le 11 pour empêcher les débordements.
  // TODO : observer le warning si on met 12 (avec clang-14)
  // TODO : observer le comportement si on écrit strictement plus de 11 caractères (avec ou sans le scanf(" ") ci-dessous)
  
  // Imprimons la chaîne que nous venons de lire
  printf("%s\n", line);
  puts(line); // une autre façon d'imprimer la chaîne (plus bas niveau, et qui ajoute le saut de ligne tout seul)

  // Et c'est le drame maintenant, car il y a au moins un "\n" en souffrance de la lecture de la ligne (scanf précédent)
  
  printf("Donne moi un caractère stp?");
  scanf(" "); // purge tous les blancs (attend qu'on ait un caractère "non whitespace")
  char c = getchar();
  putchar(c); // on pourrait vérifier/récupérer la valeur de retour de putchar.
  
  return 0;
}
